<!DOCTYPE html>
<html>
<head> 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<script>
  "use strict";
  $(document).ready(function(){
    //REGION 1

    //REGION 2
    $("#btn-1").click(function(){
      onBtn1Click();
    })

    $("#btn-2").click(function(){
      onBtn02Click();
    });

    $("#btn-do").on('click', onBtnMauDoClick);

    $("#btn-vang").on('click', onBtnVangClick);
    //REGION 3
    function onBtn1Click(){
      "use strict";
      console.log("SubTask 1");
      var vElementInpMaGiamGia = $("#voucher-01"); //truy vấn ô mã giảm giá 01
      var vValueVoucher = vElementInpMaGiamGia.val(); //lấy giá trị của ô mã giảm giá 01
      console.log("id voucher 01: " + vElementInpMaGiamGia.attr('id')); //ghi ra console id của ô mã giảm giá o1
      var vDivMaGiamGia01 = $("#ma-giam-gia-01"); // truy vấn thẻ div mã giảm giá 01
      console.log("id Div 01: " + vDivMaGiamGia01.attr("id")) //ghi ra console của thẻ div
      vDivMaGiamGia01.html(vValueVoucher) // dùng phương thức html(), thay đổi giá trị innerHTML của thẻ div
    }

    function onBtn02Click(){
      "use strict";
      console.log("subTask 2");
      var vElementDiv = $("#ma-giam-gia-02"); //truy vấn thẻ div mã giảm giá số 2
      console.log("id Div 02: " + vElementDiv.attr("id")); // ghi ra console id của thẻ div
      var vHTMLDiv = vElementDiv.html(); // lưu giá trị html() hoặc text() của thẻ div vào biến vHTMLDiv 
      var vElementInpMaGiamGia02 = $("#voucher-02"); // truy vấn ô mã giảm giá o2
      console.log("id voucher 02: " + vElementInpMaGiamGia02.attr("id")); //ghi ra console id của ô mã giảm giá 2
      var vValueMaGiamGia02 = vElementInpMaGiamGia02.val(vHTMLDiv); // dùng phương thức val(), thay giá trị input
      console.log(vValueMaGiamGia02);
    }

    function onBtnMauDoClick(){
      "use strict";
      console.log("subTask 3");
      var vElementDivNoiDung = $("#content-div");//truy vấn thẻ div chứa nội dung
      vElementDivNoiDung.prop('style', 'color: red');//dùng phương thức prop(), đổi màu chữ thẻ div có id = content-div thành màu đỏ 
    }

    function onBtnVangClick(){
      console.log("subTask 4");
      var vElementDivContent = $("#content-div")// truy vấn thẻ div có chứa nội dung cần thay đổi màu
      vElementDivContent.prop('style', 'color: yellow');//dùng phương thức prop(), đổi màu chử thẻ div
    }
    //REGION 4
  });
</script>
<body>
<div class="container">
  <h3>jQUERY BASIC METHODS</h3>
  <!-- Div voucher 01 -->
  <div id="voucher-form-01" class="row jumbotron">
    <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy giá trị ở ô Mã giảm giá và cho vào thẻ div id = "ma-giam-gia-01" <br>
        Gợi ý: sử dụng phương thức <span style="color: red;">.val() </span> để lấy giá trị của ô Text; <span style="color: red;">.html() </span> để thay đổi giá trị innerHTML
    </div>
    <div class="row form-group align-middle">
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-01" name="voucher" placeholder="Nhập mã giảm giá.." class="form-control">
      </div>
      <div class="col-sm-6 form-inline">
        <div id="ma-giam-gia-01">ma-giam-gia-01</div>
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-1">Kiểm tra 01</button>
    </div>
  </div>

  <!-- Div voucher 02 -->
  <div id="voucher-form-02" class="row jumbotron">
    <div class="row form-group">
      2) Khi ấn nút Kiểm tra 02, lấy giá trị ở trong thẻ div "ma-giam-gia-02" và cho vào ô text id = "voucher-02" <br>
      Gợi ý: sử dụng phương thức <span style="color: red;">.html() </span> hoặc <span style="color: red;">.text() </span> để lấy giá trị của thẻ div; <span style="color: red;">.val() </span> để thay đổi giá trị ô Text
    </div>
    <div class="row form-group">
      <div class="col-sm-6">
        <div id="ma-giam-gia-02">24864</div>
      </div>
      <div class="col-sm-6 form-inline">
        <label for="fname">Mã giảm giá</label>
        <input type="text" id="voucher-02" name="voucher" placeholder="mã giảm giá.." class="form-control">
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-2">Kiểm tra 02</button>
    </div>
  </div>

  <!-- Div 2 button -->
  <div id="content-form" class="row jumbotron">
    <div class="row form-group">
      3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
    </div>
    <div class="row form-group">
      <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
    </div>
    <div class="form-group">
      <button class="btn btn-danger" id="btn-do">Màu đỏ</button>
      <button class="btn btn-warning" id="btn-vang">Màu vàng</button>
    </div>
  </div>
</div>

</body>
</html>
